MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001948VCMIOtherpublic2014-11-12 21:192017-03-19 02:34
ReporterCmihai27 
Assigned ToSXX 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAndroidOSN7100XXDLK7OS Version4.4.4
Product Version0.97 
Target VersionFixed in Version0.next 
Summary0001948: [Android][Freeze] Finishing an attacking AI battle will freeze the game
DescriptionThis issue occurs whenever one of the AI opponents attacks either one of the User's players or castles.


The game will freeze (more like a technical hang where the animations and sounds still play) after finishing a battle with the AI. The condition is for the AI to strike the User.

Note that the issue was reproduced 5 times out of 5 unfortunate tries.
The map played on each attempt was "For Sale"; the User town was "Castle".
Steps To Reproduce1. Start a mission.
2. Get close with one of the AI characters.
3. Upon finishing the battle, notice that the AI's turn will not end.
Additional InformationI've attached a catlog in case any useful info can come from that.
From what I can tell, the turn the AI has is reset, considering it is over, but the User input is not allowed.

Note that the device is a rooted N7100, CyanogenMod 11.0-InstallerXNPQ32P, build no. cm_n7100-userdebug 4.4.4 KTU84Q InstallerXNPQ32P release-keys
TagsNo tags attached.
Attached Filestxt file icon N7100.catlog.txt [^] (53,764 bytes) 2014-11-12 21:19 [Show Content]
rar file icon saves-freeze.rar [^] (358,262 bytes) 2014-11-18 21:12

- Relationships
duplicate of 0001897resolvedSXX Game hangs after AI captures town from player in battle 

-  Notes
(0005103)
xyz (developer)
2014-11-14 21:26

Can you attach your savedata?
(0005122)
Cmihai27 (reporter)
2014-11-18 21:15

Sorry for the late reply.
I've attached a rar archive with what I hope to be the correct one.

I tried again but left to get a random town; got Necropolis and got attacked, but the issue did not occur. Tried again with the ones I usually play, Castle, and just reproed it again.
(0006992)
SXX (administrator)
2017-03-19 02:34

Fixed together with 0001897

- Issue History
Date Modified Username Field Change
2014-11-12 21:19 Cmihai27 New Issue
2014-11-12 21:19 Cmihai27 File Added: N7100.catlog.txt
2014-11-14 21:26 xyz Note Added: 0005103
2014-11-18 21:12 Cmihai27 File Added: saves-freeze.rar
2014-11-18 21:15 Cmihai27 Note Added: 0005122
2014-12-20 10:46 Warmonger Relationship added duplicate of 0001897
2017-03-19 02:34 SXX Note Added: 0006992
2017-03-19 02:34 SXX Status new => resolved
2017-03-19 02:34 SXX Fixed in Version => 0.next
2017-03-19 02:34 SXX Resolution open => fixed
2017-03-19 02:34 SXX Assigned To => SXX

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean